GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gimpmenu

## Name

gimpmenu --

## Synopsis

    gint        (*GimpConstraintFunc)           (gint32 image_id,
                                                 gint32 drawable_id,
                                                 gpointer data);
    void        (*GimpMenuCallback)             (gint32 id,
                                                 gpointer data);
    void        (*GRunBrushCallback)            (gchar *name,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 gint width,
                                                 gint height,
                                                 gchar *mask_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);
    void        (*GRunPatternCallback)          (gchar *name,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gchar *mask_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);
    void        (*GRunGradientCallback)         (gchar *name,
                                                 gint width,
                                                 gdouble *grad_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);
    GtkWidget*  gimp_image_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_image);
    GtkWidget*  gimp_layer_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_layer);
    GtkWidget*  gimp_channel_menu_new           (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_channel);
    GtkWidget*  gimp_drawable_menu_new          (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_drawable);
    void*       gimp_interactive_selection_brush
                                                (gchar *dialogname,
                                                 gchar *brush_name,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 GRunBrushCallback callback,
                                                 gpointer udata);
    GtkWidget*  gimp_brush_select_widget        (gchar *dname,
                                                 gchar *ibrush,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 GRunBrushCallback cback,
                                                 gpointer);
    gint        gimp_brush_select_widget_close_popup
                                                (GtkWidget *w);
    gint        gimp_brush_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode);
    gchar*      gimp_brushes_get_brush_data     (gchar *pname,
                                                 gdouble *opacity,
                                                 gint *spacing,
                                                 gint *paint_mode,
                                                 gint *width,
                                                 gint *height,
                                                 gchar **mask_data);
    gint        gimp_brush_set_popup            (void *popup_pnt,
                                                 gchar *pname,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode);
    gint        gimp_brush_close_popup          (void *popup_pnt);
    void*       gimp_interactive_selection_pattern
                                                (gchar *dialogtitle,
                                                 gchar *pattern_name,
                                                 GRunPatternCallback callback,
                                                 gpointer udata);
    GtkWidget*  gimp_pattern_select_widget      (gchar *dname,
                                                 gchar *ipattern,
                                                 GRunPatternCallback cback,
                                                 gpointer);
    gint        gimp_pattern_select_widget_close_popup
                                                (GtkWidget *w);
    gint        gimp_pattern_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname);
    gchar*      gimp_pattern_get_pattern_data   (gchar *pname,
                                                 gint *width,
                                                 gint *height,
                                                 gint *bytes,
                                                 gchar **mask_data);
    gint        gimp_pattern_set_popup          (void *popup_pnt,
                                                 gchar *pname);
    gint        gimp_pattern_close_popup        (void *popup_pnt);
    void*       gimp_interactive_selection_gradient
                                                (gchar *dialogtitle,
                                                 gchar *gradient_name,
                                                 gint sample_sz,
                                                 GRunGradientCallback callback,
                                                 gpointer udata);
    GtkWidget*  gimp_gradient_select_widget     (gchar *gname,
                                                 gchar *igradient,
                                                 GRunGradientCallback cback,
                                                 gpointer);
    gint        gimp_gradient_select_widget_close_popup
                                                (GtkWidget *w);
    gint        gimp_gradient_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname);
    gchar*      gimp_gradient_get_gradient_data (gchar *pname,
                                                 gint *width,
                                                 gint sample_sz,
                                                 gdouble **mask_data);
    gint        gimp_gradient_set_popup         (void *popup_pnt,
                                                 gchar *pname);
    gint        gimp_gradient_close_popup       (void *popup_pnt);

## Description

## Details

### GimpConstraintFunc ()

    gint        (*GimpConstraintFunc)           (gint32 image_id,
                                                 gint32 drawable_id,
                                                 gpointer data);

`image_id` : |
`drawable_id` : |
`data` : |
Returns : |

### GimpMenuCallback ()

    void        (*GimpMenuCallback)             (gint32 id,
                                                 gpointer data);

`id` : |
`data` : |

### GRunBrushCallback ()

    void        (*GRunBrushCallback)            (gchar *name,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 gint width,
                                                 gint height,
                                                 gchar *mask_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);

`name` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
`width` : |
`height` : |
`mask_data` : |
`dialog_closing` : |
`user_data` : |

### GRunPatternCallback ()

    void        (*GRunPatternCallback)          (gchar *name,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gchar *mask_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);

`name` : |
`width` : |
`height` : |
`bpp` : |
`mask_data` : |
`dialog_closing` : |
`user_data` : |

### GRunGradientCallback ()

    void        (*GRunGradientCallback)         (gchar *name,
                                                 gint width,
                                                 gdouble *grad_data,
                                                 gint dialog_closing,
                                                 gpointer user_data);

`name` : |
`width` : |
`grad_data` : |
`dialog_closing` : |
`user_data` : |

### gimp_image_menu_new ()

    GtkWidget*  gimp_image_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_image);

`constraint` : |
`callback` : |
`data` : |
`active_image` : |
Returns : |

### gimp_layer_menu_new ()

    GtkWidget*  gimp_layer_menu_new             (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_layer);

`constraint` : |
`callback` : |
`data` : |
`active_layer` : |
Returns : |

### gimp_channel_menu_new ()

    GtkWidget*  gimp_channel_menu_new           (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_channel);

`constraint` : |
`callback` : |
`data` : |
`active_channel` : |
Returns : |

### gimp_drawable_menu_new ()

    GtkWidget*  gimp_drawable_menu_new          (GimpConstraintFunc constraint,
                                                 GimpMenuCallback callback,
                                                 gpointer data,
                                                 gint32 active_drawable);

`constraint` : |
`callback` : |
`data` : |
`active_drawable` : |
Returns : |

### gimp_interactive_selection_brush ()

    void*       gimp_interactive_selection_brush
                                                (gchar *dialogname,
                                                 gchar *brush_name,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 GRunBrushCallback callback,
                                                 gpointer udata);

`dialogname` : |
`brush_name` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
`callback` : |
`udata` : |

### gimp_brush_select_widget ()

    GtkWidget*  gimp_brush_select_widget        (gchar *dname,
                                                 gchar *ibrush,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode,
                                                 GRunBrushCallback cback,
                                                 gpointer);

`dname` : |
`ibrush` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
`cback` : |
`Param7` : |
Returns : |

### gimp_brush_select_widget_close_popup ()

    gint        gimp_brush_select_widget_close_popup
                                                (GtkWidget *w);

`w` : |
Returns : |

### gimp_brush_select_widget_set_popup ()

    gint        gimp_brush_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode);

`w` : |
`pname` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
Returns : |

### gimp_brushes_get_brush_data ()

    gchar*      gimp_brushes_get_brush_data     (gchar *pname,
                                                 gdouble *opacity,
                                                 gint *spacing,
                                                 gint *paint_mode,
                                                 gint *width,
                                                 gint *height,
                                                 gchar **mask_data);

`pname` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
`width` : |
`height` : |
`mask_data` : |
Returns : |

### gimp_brush_set_popup ()

    gint        gimp_brush_set_popup            (void *popup_pnt,
                                                 gchar *pname,
                                                 gdouble opacity,
                                                 gint spacing,
                                                 gint paint_mode);

`popup_pnt` : |
`pname` : |
`opacity` : |
`spacing` : |
`paint_mode` : |
Returns : |

### gimp_brush_close_popup ()

    gint        gimp_brush_close_popup          (void *popup_pnt);

`popup_pnt` : |
Returns : |

### gimp_interactive_selection_pattern ()

    void*       gimp_interactive_selection_pattern
                                                (gchar *dialogtitle,
                                                 gchar *pattern_name,
                                                 GRunPatternCallback callback,
                                                 gpointer udata);

`dialogtitle` : |
`pattern_name` : |
`callback` : |
`udata` : |

### gimp_pattern_select_widget ()

    GtkWidget*  gimp_pattern_select_widget      (gchar *dname,
                                                 gchar *ipattern,
                                                 GRunPatternCallback cback,
                                                 gpointer);

`dname` : |
`ipattern` : |
`cback` : |
`Param4` : |
Returns : |

### gimp_pattern_select_widget_close_popup ()

    gint        gimp_pattern_select_widget_close_popup
                                                (GtkWidget *w);

`w` : |
Returns : |

### gimp_pattern_select_widget_set_popup ()

    gint        gimp_pattern_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname);

`w` : |
`pname` : |
Returns : |

### gimp_pattern_get_pattern_data ()

    gchar*      gimp_pattern_get_pattern_data   (gchar *pname,
                                                 gint *width,
                                                 gint *height,
                                                 gint *bytes,
                                                 gchar **mask_data);

`pname` : |
`width` : |
`height` : |
`bytes` : |
`mask_data` : |
Returns : |

### gimp_pattern_set_popup ()

    gint        gimp_pattern_set_popup          (void *popup_pnt,
                                                 gchar *pname);

`popup_pnt` : |
`pname` : |
Returns : |

### gimp_pattern_close_popup ()

    gint        gimp_pattern_close_popup        (void *popup_pnt);

`popup_pnt` : |
Returns : |

### gimp_interactive_selection_gradient ()

    void*       gimp_interactive_selection_gradient
                                                (gchar *dialogtitle,
                                                 gchar *gradient_name,
                                                 gint sample_sz,
                                                 GRunGradientCallback callback,
                                                 gpointer udata);

`dialogtitle` : |
`gradient_name` : |
`sample_sz` : |
`callback` : |
`udata` : |

### gimp_gradient_select_widget ()

    GtkWidget*  gimp_gradient_select_widget     (gchar *gname,
                                                 gchar *igradient,
                                                 GRunGradientCallback cback,
                                                 gpointer);

`gname` : |
`igradient` : |
`cback` : |
`Param4` : |
Returns : |

### gimp_gradient_select_widget_close_popup ()

    gint        gimp_gradient_select_widget_close_popup
                                                (GtkWidget *w);

`w` : |
Returns : |

### gimp_gradient_select_widget_set_popup ()

    gint        gimp_gradient_select_widget_set_popup
                                                (GtkWidget *w,
                                                 gchar *pname);

`w` : |
`pname` : |
Returns : |

### gimp_gradient_get_gradient_data ()

    gchar*      gimp_gradient_get_gradient_data (gchar *pname,
                                                 gint *width,
                                                 gint sample_sz,
                                                 gdouble **mask_data);

`pname` : |
`width` : |
`sample_sz` : |
`mask_data` : |
Returns : |

### gimp_gradient_set_popup ()

    gint        gimp_gradient_set_popup         (void *popup_pnt,
                                                 gchar *pname);

`popup_pnt` : |
`pname` : |
Returns : |

### gimp_gradient_close_popup ()

    gint        gimp_gradient_close_popup       (void *popup_pnt);

`popup_pnt` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
gimphelpui | GimpUnit